## Class Swift_ByteStream_ArrayByteStream

(line 20)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/ByteStream/ArrayByteStream.php

##### Allows reading and writing of bytes to and from an array.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_ByteStream_ArrayByteStream __construct ([mixed $stack = null])
void bind (Swift_InputByteStream $is)
void commit ()
void flushBuffers ()
string read (int $length)
boolean setReadPointer (int $byteOffset)
void unbind (Swift_InputByteStream $is)
void write (string $bytes)

#### Constructor __construct (line 53)

#### Swift_ByteStream_ArrayByteStream __construct( [mixed $stack = null])

##### Create a new ArrayByteStream.

If $stack is given the stream will be populated with the bytes it contains.

#### Parameters

- mixed $stack: of bytes in string or array form, optional

#### Info

- access - public

#### Method bind (line 131)

#### void bind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::bind()
  Attach $is to this stream.

##### Attach $is to this stream.

The stream acts as an observer, receiving all data that is written. All write() and flushBuffers() operations will be mirrored.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method commit (line 120)

#### void commit( )

Implementation of:

Swift_InputByteStream::commit()
  For any bytes that are currently buffered inside the stream, force them off the buffer.

##### Not used.

#### Info

- access - public

#### Method flushBuffers (line 178)

#### void flushBuffers( )

Implementation of:

Swift_InputByteStream::flushBuffers()
  Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

##### Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Info

- access - public

#### Method read (line 78)

#### string read( int $length)

Implementation of:

Swift_OutputByteStream::read()
  Reads $length bytes from the stream into a string and moves the pointer through the stream by $length. If less bytes exist than are requested the remaining bytes are given instead. If no bytes are remaining at all, boolean false is returned.

##### Reads $length bytes from the stream into a string and moves the pointer through the stream by $length. If less bytes exist than are requested the remaining bytes are given instead. If no bytes are remaining at all, boolean false is returned.

#### Parameters

- int $length:

#### Info

- access - public

#### Method setReadPointer (line 160)

#### boolean setReadPointer( int $byteOffset)

Implementation of:

Swift_OutputByteStream::setReadPointer()
  Move the internal read pointer to $byteOffset in the stream.

##### Move the internal read pointer to $byteOffset in the stream.

#### Parameters

- int $byteOffset:

#### Info

- access - public

#### Method unbind (line 144)

#### void unbind( Swift_InputByteStream $is)

Implementation of:

Swift_InputByteStream::unbind()
  Remove an already bound stream.

##### Remove an already bound stream.

If $is is not bound, no errors will be raised. If the stream currently has any buffered data it will be written to $is before unbinding occurs.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method write (line 102)

#### void write( string $bytes)

Implementation of:

Swift_InputByteStream::write()
  Writes $bytes to the end of the stream.

##### Writes $bytes to the end of the stream.

#### Parameters

- string $bytes:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:11 +0000 by phpDocumentor 1.4.3